Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::Ext::IAlternatingExposureSettings Class Reference
CameraDevice | Ext::AlternatingExposure

Interface used to configure alternating exposure support provided by sensor hardware. More...

`#include <AlternatingExposure.h>`

Inheritance diagram for Argus::Ext::IAlternatingExposureSettings:

List of all members.

## Public Member Functions
virtual void | setAlternatingExposureEnable (bool enable)=0
| Used to enable or disable alternating exposure mode.
virtual bool | getAlternatingExposureEnable () const =0
| Returns if alternating exposure is enabled or not.
virtual Status | setAltExpExposureTimes (const std::vector< uint64_t > &exposure_times)=0
| Sets the two exposure time values (in nanoseconds) to be used for capturing frames using alternating exposure.
virtual Status | setAltExpAnalogGains (const std::vector< float > &analog_gains)=0
| Sets the two analog gain values that will be alternately applied by the sensor on frames captured by it.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IAlternatingExposureSettings ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface used to configure alternating exposure support provided by sensor hardware.

If alternating exposure is enabled, then two sets of exposure time and analog gain values are used by the sensor in an alternating manner. One of the sets of exposure time and analog gain values are applied by the sensor for every even frame and the other set of values are applied for every odd frame.

Definition at line 92 of file AlternatingExposure.h.

## Constructor & Destructor Documentation

Argus::Ext::IAlternatingExposureSettings::~IAlternatingExposureSettings | ( |  | ) |
| inline protected

Definition at line 125 of file AlternatingExposure.h.

## Member Function Documentation

virtual bool Argus::Ext::IAlternatingExposureSettings::getAlternatingExposureEnable | ( |  | ) | const
| pure virtual

Returns if alternating exposure is enabled or not.

static const InterfaceID& Argus::Ext::IAlternatingExposureSettings::id | ( |  | ) |
| inline static

Definition at line 95 of file AlternatingExposure.h.

virtual void Argus::Ext::IAlternatingExposureSettings::setAlternatingExposureEnable | ( | bool | enable | ) |
| pure virtual

Used to enable or disable alternating exposure mode.

Parameters:

  [in] | enable | whether to enable alternating exposure mode.

virtual Status Argus::Ext::IAlternatingExposureSettings::setAltExpAnalogGains | ( | const std::vector< float > & | analog_gains | ) |
| pure virtual

Sets the two analog gain values that will be alternately applied by the sensor on frames captured by it.

The first two elements of the vector analog_gains are used for fetching the sensor analog gain values.

Parameters:

  [in] | analog_gains | Vector of sensor analog gain values.

virtual Status Argus::Ext::IAlternatingExposureSettings::setAltExpExposureTimes | ( | const std::vector< uint64_t > & | exposure_times | ) |
| pure virtual

Sets the two exposure time values (in nanoseconds) to be used for capturing frames using alternating exposure.

The first two elements of the vector exposure_times are used for fetching the exposure time values.

Parameters:

  [in] | exposure_times | Vector of exposure times.

The documentation for this class was generated from the following file:

- include/Argus/Ext/AlternatingExposure.h